Package org.postgresql.hostchooser

# Class CandidateHost

java.lang.Object
org.postgresql.hostchooser.CandidateHost

public class CandidateHost extends Object
Candidate host to be connected.

## Field Summary

Fields
Modifier and Type
Field
Description
`final HostSpec`
`hostSpec`
`final HostRequirement`
`targetServerType`

## Constructor Summary

Constructors
Constructor
Description
`CandidateHost(HostSpec hostSpec, HostRequirement targetServerType)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### hostSpec

public final HostSpec hostSpec

### targetServerType

public final HostRequirement targetServerType

## Constructor Details

### CandidateHost

public CandidateHost(HostSpec hostSpec, HostRequirement targetServerType)